From 91daccb700d045ac601b989308457046eca87f65 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 15:23:42 -0400
Subject: [PATCH] Updated icon_crit_update.gif paths.

---
 dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template    | 2 +-
 dogtag/common-ui/shared/admin/console/config/adminauthenticatepanel.vm  | 2 +-
 dogtag/common-ui/shared/admin/console/config/adminpanel.vm              | 2 +-
 dogtag/common-ui/shared/admin/console/config/agentauthenticatepanel.vm  | 2 +-
 dogtag/common-ui/shared/admin/console/config/backupkeycertpanel.vm      | 2 +-
 dogtag/common-ui/shared/admin/console/config/createsubsystempanel.vm    | 2 +-
 dogtag/common-ui/shared/admin/console/config/databasepanel.vm           | 2 +-
 dogtag/common-ui/shared/admin/console/config/displaycertchainpanel.vm   | 2 +-
 dogtag/common-ui/shared/admin/console/config/donepanel.vm               | 2 +-
 dogtag/common-ui/shared/admin/console/config/importadmincertpanel.vm    | 2 +-
 dogtag/common-ui/shared/admin/console/config/importcachainpanel.vm      | 2 +-
 dogtag/common-ui/shared/admin/console/config/login.vm                   | 2 +-
 dogtag/common-ui/shared/admin/console/config/namepanel.vm               | 2 +-
 dogtag/common-ui/shared/admin/console/config/restorekeycertpanel.vm     | 2 +-
 dogtag/common-ui/shared/admin/console/config/savepkcs12panel.vm         | 2 +-
 .../common-ui/shared/admin/console/config/securitydomainloginpanel.vm   | 2 +-
 dogtag/common-ui/shared/admin/console/config/securitydomainpanel.vm     | 2 +-
 dogtag/common-ui/shared/admin/console/config/sizepanel.vm               | 2 +-
 .../shared/docroot/ra/admin/console/config/adminauthenticatepanel.vm    | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminpanel.vm       | 2 +-
 .../shared/docroot/ra/admin/console/config/agentauthenticatepanel.vm    | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/authdbpanel.vm      | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/cainfopanel.vm      | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm        | 2 +-
 .../shared/docroot/ra/admin/console/config/createsubsystempanel.vm      | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/databasepanel.vm    | 2 +-
 .../shared/docroot/ra/admin/console/config/displaycertchain2panel.vm    | 2 +-
 .../shared/docroot/ra/admin/console/config/displaycertchainpanel.vm     | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/donepanel.vm        | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/drminfopanel.vm     | 2 +-
 .../shared/docroot/ra/admin/console/config/importadmincertpanel.vm      | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm            | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/namepanel.vm        | 2 +-
 .../shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm  | 2 +-
 .../ra-ui/shared/docroot/ra/admin/console/config/securitydomainpanel.vm | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/sizepanel.vm        | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/tksinfopanel.vm     | 2 +-
 .../shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm   | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm     | 2 +-
 .../shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm   | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm    | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm    | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm      | 2 +-
 .../shared/docroot/tps/admin/console/config/createsubsystempanel.vm     | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm  | 2 +-
 .../shared/docroot/tps/admin/console/config/displaycertchain2panel.vm   | 2 +-
 .../shared/docroot/tps/admin/console/config/displaycertchainpanel.vm    | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm      | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm   | 2 +-
 .../shared/docroot/tps/admin/console/config/importadmincertpanel.vm     | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm          | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm      | 2 +-
 .../shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm | 2 +-
 .../shared/docroot/tps/admin/console/config/securitydomainpanel.vm      | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm      | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm   | 2 +-
 56 files changed, 56 insertions(+), 56 deletions(-)

diff --git a/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template b/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template
index aa6d948c87cf1aba5d0e40946dd33877015d1d0c..6ffa70ec1f37b2063df8621abcebe00808edabd8 100644
--- a/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template
+++ b/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template
@@ -63,7 +63,7 @@ document.write('Security Domain ('+result.header.sdname+') Login </h1>');
 <script language=javascript>
 document.write('<p>The Enterprise '+result.header.subsystem+' Administrator will register this '+result.header.subsystem+' Subsystem located at '+ result.header.host+' under this Security Domain located at '+result.header.sdhost+'. The credential information will be provided to the Security Domain for authentication.<p>');
 if (result.header.errorString != null)
-document.write('<img src="/ca/admin/console/img/icon_crit_update.gif">&nbsp;<font color="red">'+result.header.errorString+'</font>');
+document.write('<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">'+result.header.errorString+'</font>');
 document.write('<table class="details">');
 document.write('<tr>');
 document.write('<th>Uid:</th>');
diff --git a/dogtag/common-ui/shared/admin/console/config/adminauthenticatepanel.vm b/dogtag/common-ui/shared/admin/console/config/adminauthenticatepanel.vm
index 7d5aade5fa7eecfdace2fc3d0b0df9b50828c437..b27042cfbb3bfef7dee2911aba2ae6c8d9ee56b2 100644
--- a/dogtag/common-ui/shared/admin/console/config/adminauthenticatepanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/adminauthenticatepanel.vm
@@ -35,7 +35,7 @@ If authentication is successful, a cloned subsystem will retrieve the configurat
 #end
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/common-ui/shared/admin/console/config/adminpanel.vm b/dogtag/common-ui/shared/admin/console/config/adminpanel.vm
index 5db27e00dfa7750577c4b653e145dda29cea1fa5..37d922764be3523fac3eef08f45af363a143ff37 100644
--- a/dogtag/common-ui/shared/admin/console/config/adminpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/adminpanel.vm
@@ -174,7 +174,7 @@ End Function
 The administrator is a privileged user who manages this subsystem. Please enter the following relevant information, and a certificate request will be automatically generated and submitted. An administrator's entry will be created in the internal database and an administrator's certificate will be imported into this browser automatically in the next panel.
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
     <br/>
diff --git a/dogtag/common-ui/shared/admin/console/config/agentauthenticatepanel.vm b/dogtag/common-ui/shared/admin/console/config/agentauthenticatepanel.vm
index 2124e7a369119f0cb295309a48f6e6c4604a2334..abb7678aee8f3ee7f36ec772595aa98c9b76223a 100644
--- a/dogtag/common-ui/shared/admin/console/config/agentauthenticatepanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/agentauthenticatepanel.vm
@@ -31,7 +31,7 @@ function performPanel() {
 The uid and password are used to authenticate to the CA from which this subsystem's certificates are issued. Enter the uid and password of the Certificate Manager Agent who will approve the certificate requests.
 <br/>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/common-ui/shared/admin/console/config/backupkeycertpanel.vm b/dogtag/common-ui/shared/admin/console/config/backupkeycertpanel.vm
index 471f7e09f4b0bceecd54f85e46fac08cd27bba9c..3ec3526d1fb7089dd28e8b167c383d336cc7612c 100644
--- a/dogtag/common-ui/shared/admin/console/config/backupkeycertpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/backupkeycertpanel.vm
@@ -35,7 +35,7 @@ If these keys and certificates are stored in a hardware token, the hardware toke
 For cloning, if the keys and certificates are stored in a hardware token, clones should use the same hardware token as that of the Master.
 <p>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 <b><input $dobackup type=radio name=choice value="backupkey">&nbsp;Export subsystem keys and certificates </b>
diff --git a/dogtag/common-ui/shared/admin/console/config/createsubsystempanel.vm b/dogtag/common-ui/shared/admin/console/config/createsubsystempanel.vm
index 9d3ec86b81b228680ce95e08f2ecf08e9f4738f4..8ae6f3f7b444f4e635f771861cc1e98ad78e2823 100644
--- a/dogtag/common-ui/shared/admin/console/config/createsubsystempanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/createsubsystempanel.vm
@@ -35,7 +35,7 @@ This instance can be configured as a new $systemname subsystem.
 #end
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
 <b><input $check_newsubsystem type=radio name=choice value="newsubsystem">&nbsp;Configure this Instance as a New $systemname Subsystem </b>
diff --git a/dogtag/common-ui/shared/admin/console/config/databasepanel.vm b/dogtag/common-ui/shared/admin/console/config/databasepanel.vm
index 95086808b82023a0b295a9f13d7a4f9fd0bfd983..1747101107fc7e32a2058b51e2922ab34e0c77a1 100644
--- a/dogtag/common-ui/shared/admin/console/config/databasepanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/databasepanel.vm
@@ -51,7 +51,7 @@ Replication agreements between the master and clone database instances may be cu
 <i>Note: If the Fedora Directory Server is at a remote host, it is highly recommended that SSL should be used.</i>
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>                                                                            
 
diff --git a/dogtag/common-ui/shared/admin/console/config/displaycertchainpanel.vm b/dogtag/common-ui/shared/admin/console/config/displaycertchainpanel.vm
index 73348189d1612cb31ed1f855d013a5c7cbb10d00..26506c12fcaf70d3e1fd2a4d0a64c5600df63d94 100644
--- a/dogtag/common-ui/shared/admin/console/config/displaycertchainpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/displaycertchainpanel.vm
@@ -35,7 +35,7 @@ If a certificate chain is displayed below, click the Next button to trust this c
 If no certificate chain is listed below, simply click the Next button to move on to the next panel.
 <p>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
 
diff --git a/dogtag/common-ui/shared/admin/console/config/donepanel.vm b/dogtag/common-ui/shared/admin/console/config/donepanel.vm
index 59d22a977e2bafe57762ecd772b66a21fb921f2d..1367601717f7e3d6452b199afa11d87d2e425bfe 100644
--- a/dogtag/common-ui/shared/admin/console/config/donepanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/donepanel.vm
@@ -30,7 +30,7 @@ function performPanel() {
 <input type="hidden" name="port" value=$port />
 <input type="hidden" name="systemType" value=$systemType />
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 #if ($systemType.equals("tks"))
 As 'root', restart the server on the command line by typing the following command:
diff --git a/dogtag/common-ui/shared/admin/console/config/importadmincertpanel.vm b/dogtag/common-ui/shared/admin/console/config/importadmincertpanel.vm
index 9eea5d277577939c0a321e9338f00b2450e4727f..53d4459462e4ec39ce27ab6c343c64a07a4f72ba 100644
--- a/dogtag/common-ui/shared/admin/console/config/importadmincertpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/importadmincertpanel.vm
@@ -29,7 +29,7 @@ function performPanel() {
 An administrator's certificate has been created and imported into this browser. This certificate is used to access the agent interface of this subsystem.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <font color="red">$info</font>
 <p>
diff --git a/dogtag/common-ui/shared/admin/console/config/importcachainpanel.vm b/dogtag/common-ui/shared/admin/console/config/importcachainpanel.vm
index f0774c5ee9cbeef50b3f43a399fb2257db930854..c53c3af2aa48dc0f40f3c95813d1722c8129797a 100755
--- a/dogtag/common-ui/shared/admin/console/config/importcachainpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/importcachainpanel.vm
@@ -30,7 +30,7 @@ function performPanel() {
 The CA's certificate chain needs to be imported into your browser.  Also, you must trust the CA. Once this is done, click Next.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
     <p>
diff --git a/dogtag/common-ui/shared/admin/console/config/login.vm b/dogtag/common-ui/shared/admin/console/config/login.vm
index b8092893b07f4f5e8b4900ea46cca5ee8addd4c7..1646fe2d4f622c5c9ac699c6ffa05591afd5b2a7 100644
--- a/dogtag/common-ui/shared/admin/console/config/login.vm
+++ b/dogtag/common-ui/shared/admin/console/config/login.vm
@@ -74,7 +74,7 @@ A one time random pin has been generated during setup to protect unauthorized ac
 
     <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <p>
     <form name="f" action="login" method="post">
diff --git a/dogtag/common-ui/shared/admin/console/config/namepanel.vm b/dogtag/common-ui/shared/admin/console/config/namepanel.vm
index ef5c564e6ef67e29ae844036c302894a4a111e3b..a1fff3807d5847a1d88cba362b53a00fb903e365 100644
--- a/dogtag/common-ui/shared/admin/console/config/namepanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/namepanel.vm
@@ -47,7 +47,7 @@ Each unique name, called the certificate's subject name, is referenced as the di
 
     <p>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 #foreach ($item in $certs)
diff --git a/dogtag/common-ui/shared/admin/console/config/restorekeycertpanel.vm b/dogtag/common-ui/shared/admin/console/config/restorekeycertpanel.vm
index 8ef78bf36d2a233a6b6eae08bc357916d485da7a..ab9b06f4c6ecf9e90d36a8a5a63a7c44d3d5850f 100644
--- a/dogtag/common-ui/shared/admin/console/config/restorekeycertpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/restorekeycertpanel.vm
@@ -37,7 +37,7 @@ For keys and certificates stored in an external software token, please refer to
 By default, if the path is left blank, no PKCS #12 file will be imported.
 <br/>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/common-ui/shared/admin/console/config/savepkcs12panel.vm b/dogtag/common-ui/shared/admin/console/config/savepkcs12panel.vm
index de7d86467e4e1634cafd3f5e54d8982b086cde60..ce74ecae87ba45009f74d8716985cd3ba3c7442d 100644
--- a/dogtag/common-ui/shared/admin/console/config/savepkcs12panel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/savepkcs12panel.vm
@@ -33,7 +33,7 @@ This Subsystem is attempting to return the keys and certificates in a PKCS #12 f
 A popup dialog box from the browser should appear, prompting the user to save these keys and certificates to a PKCS #12 file located on the local filesystem.  Follow the instructions within this dialog to save this PKCS #12 file to a safe location.
 <br/>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 <iframe scrolling=no frameborder=0 height=0 width=0 src="/$subsystemtype/admin/console/config/savepkcs12"></iframe>
diff --git a/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm b/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm
index 33c9576cd1c7ed76dc6ddee2500495966ee6f522..46ff12b865a33ab5b0d23aa9f7411092a8d79385 100644
--- a/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm
@@ -61,7 +61,7 @@
     <form name=sdForm action="getCookie" method="post">
     <p>The Enterprise $subsystem Administrator will register this $subsystem Subsystem located at $host under this Security Domain located at $sdhost. The credential information will be provided to the Security Domain for authentication.<p>
 #if ($errorString != "")
-<img src="/ca/admin/console/img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/common-ui/shared/admin/console/config/securitydomainpanel.vm b/dogtag/common-ui/shared/admin/console/config/securitydomainpanel.vm
index 0e6a902eb42b372f7ba10572b104252e33e060cc..a8ac15bf5924b553b3a8ab13194cfd46c3fa46ed 100644
--- a/dogtag/common-ui/shared/admin/console/config/securitydomainpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/securitydomainpanel.vm
@@ -52,7 +52,7 @@ If this subsystem is joining an existing security domain, the user will need to
 requested in the next panel.
 </div>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 #if ($cstype == "CA") 
diff --git a/dogtag/common-ui/shared/admin/console/config/sizepanel.vm b/dogtag/common-ui/shared/admin/console/config/sizepanel.vm
index ef80ecf206c36fcbcf3085316663bd6477b130db..1dee1ce6b2c6f2d1ce9e418b6c304a6ca979c3c3 100644
--- a/dogtag/common-ui/shared/admin/console/config/sizepanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/sizepanel.vm
@@ -412,7 +412,7 @@ For a cloned subsystem, only the key for an SSL server certificate is generated.
 #end
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 <div id="simple">
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminauthenticatepanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminauthenticatepanel.vm
index 7d5aade5fa7eecfdace2fc3d0b0df9b50828c437..b27042cfbb3bfef7dee2911aba2ae6c8d9ee56b2 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminauthenticatepanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminauthenticatepanel.vm
@@ -35,7 +35,7 @@ If authentication is successful, a cloned subsystem will retrieve the configurat
 #end
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminpanel.vm
index 36e99097b90c3c095183b6402df639301de0f6d4..3c32c49010ae2858fe55f1789ec257846a61b9a9 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/adminpanel.vm
@@ -175,7 +175,7 @@ End Function
 The administrator is a privileged user who manages this subsystem. Please enter the following relevant information, and a certificate request will be automatically generated and submitted. An administrator's entry will be created in the internal database and an administrator's certificate will be imported into this browser automatically in the next panel.
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
     <br/>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/agentauthenticatepanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/agentauthenticatepanel.vm
index 2124e7a369119f0cb295309a48f6e6c4604a2334..abb7678aee8f3ee7f36ec772595aa98c9b76223a 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/agentauthenticatepanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/agentauthenticatepanel.vm
@@ -31,7 +31,7 @@ function performPanel() {
 The uid and password are used to authenticate to the CA from which this subsystem's certificates are issued. Enter the uid and password of the Certificate Manager Agent who will approve the certificate requests.
 <br/>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/authdbpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/authdbpanel.vm
index 43c0ed544d0c4d308270ff25ee26c199353b254b..f2e0697e78e72404a78011090f16fac8225959e9 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/authdbpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/authdbpanel.vm
@@ -39,7 +39,7 @@ If, however, the end user's identity fails to be verified, TPS will not establis
 </div>
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>                                                                            
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/cainfopanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/cainfopanel.vm
index 6bea8a1842740bb26c53713f76523b3e38aff82b..933861a93f1e5862611bbd21ab4ebf023052c906 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/cainfopanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/cainfopanel.vm
@@ -30,7 +30,7 @@ function performPanel() {
 A Certificate Authority (CA) is responsible for issuing different kinds of certificates. Select an HTTPS EE URL of a CA from the list below.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
     <table class="details">
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm
index 060b083c39afb74301ed79bdc01633095f677137..70ace4faff4fba8248d30a8aea7652af52fda876 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm
@@ -63,7 +63,7 @@
     <form name=configForm action="config_db" method="post">
     <b>Internal Database Connection</b> <p>This option allows sharing an internal database to improve managability.<p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/createsubsystempanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/createsubsystempanel.vm
index 18af9c52358209492ba4f2fe858d8c9b64f44248..feee8962f26e1349487825b2c665df8e7cb79968 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/createsubsystempanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/createsubsystempanel.vm
@@ -31,7 +31,7 @@ function performPanel() {
 This instance can be configured as a new $systemname subsystem.
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 <b><input $check_newsubsystem type=radio name=choice value="newsubsystem">&nbsp;Configure this Instance as a New $systemname Subsystem </b>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/databasepanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/databasepanel.vm
index 76c3c887dccb19d917a4f783ca3a0571cf6bf7c1..a887176ab828885014a5b42a51a36d1312849e85 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/databasepanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/databasepanel.vm
@@ -44,7 +44,7 @@ function toggle_details()
 <p>
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>                                                                            
     <div align="right">
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchain2panel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchain2panel.vm
index 068fd928379fd48680bcced1706d38a76856203a..eff21eca4489d9d75c5a9033eeb7e1321bc92143 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchain2panel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchain2panel.vm
@@ -37,5 +37,5 @@ If no certificate chain is listed below, simply click the Next button to move on
 $certchain
 </pre>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchainpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchainpanel.vm
index 829ee24cb88a02632ef7e6c3e42075df05558c79..d5e32263aa1f3e6b24e64992f6767df0385c6ff1 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchainpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/displaycertchainpanel.vm
@@ -37,5 +37,5 @@ If no certificate chain is listed below, simply click the Next button to move on
 $certchain
 </pre>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/donepanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/donepanel.vm
index bc7ccfc01cf1d959c08d74ff5332feebfc25ef5d..86e4068ea343d3078384df8e43d3657095d2da2d 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/donepanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/donepanel.vm
@@ -30,7 +30,7 @@ function performPanel() {
 <input type="hidden" name="port" value=$port />
 <input type="hidden" name="systemType" value=$systemType />
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 As 'root', restart the server on the command line by typing "$initCommand
  restart $instanceID". After performing this restart, the server should become operational.
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/drminfopanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/drminfopanel.vm
index e4e6842ba90480a9a5e923474607274cd8e200f7..c26f3c0c23358bc807e760cb21cb9d70e0e6d9ef 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/drminfopanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/drminfopanel.vm
@@ -27,7 +27,7 @@ function performPanel() {
 A Data Recovery Manager (DRM) is responsible for server-side key generation, archival, and recovery. If server-side key generation is not needed, this step can be skipped.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 <p>
 #end
 <b><input checked type=radio name=choice value="keygen">&nbsp;Connect this instance to an HTTPS Agent URL of a DRM to support server-side key generation.</b>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/importadmincertpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/importadmincertpanel.vm
index d64d4a3445d3c5dc5c1ca076672c8005bf27a94f..37df00c02c455bb5c47196afb24605f5cf2a73b9 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/importadmincertpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/importadmincertpanel.vm
@@ -29,7 +29,7 @@ function performPanel() {
 An administrator's certificate has been created and imported into this browser. This certificate is used to access the agent interface of this subsystem.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <font color="red">$info</font>
 <p>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm
index 3aeb472746a2bb87334ebc5dab8a822892cba3a1..9595783b7ecfea903df9a201ccd4096bc620de8b 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm
@@ -72,7 +72,7 @@ A one time random pin has been generated during setup to protect unauthorized ac
 
     <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <p>
     <form name="f" action="login" method="post">
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/namepanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/namepanel.vm
index 798f1659820e7559284e1dcc055e2a5e73179e8b..071b523a9983a9bb8e37503d06ee49b959bb0965 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/namepanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/namepanel.vm
@@ -47,7 +47,7 @@ Each unique name, called the certificate's subject name, is referenced as the di
 
     <p>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 #foreach ($item in $certs)
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm
index d5192db9b5a75658d1c2d94b2f275b98230f4e53..2557616ceaf7d1443fd3d3b46a318a96670b8005 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm
@@ -61,7 +61,7 @@
     <form name=sdForm action="getCookie" method="post">
     <p>The Enterprise $subsystem Administrator will register this $subsystem Subsystem located at $host under this Security Domain located at $sdhost. The credential information will be provided to the Security Domain for authentication.<p>
 #if ($errorString != "")
-<img src="/ca/admin/console/img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainpanel.vm
index 3bd19c5208ea20b433a58d0b575439ad23b9b932..f67f7b2424f9414d119ea00f5df4fa87e97af319 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainpanel.vm
@@ -52,7 +52,7 @@ If this subsystem is joining an existing security domain, the user will need to
 requested in the next panel.
 </div>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 #if ($cstype == "CA") 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/sizepanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/sizepanel.vm
index b7a7a820c40dd80ce9db09c8d938a96ae7c20386..76b1d18a2fa9eb09e0718ecdb6351b90faa6a156 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/sizepanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/sizepanel.vm
@@ -142,7 +142,7 @@ Within each key pair type (but not comparable between two different key pair typ
 <p>
 </div>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
 <div id="simple">
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/tksinfopanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/tksinfopanel.vm
index f4cb5eb6b7b36062778ee8ebd4b930878ef8187c..f4a0a3fd7aa8234aecec2605dcab99f863011f21 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/tksinfopanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/tksinfopanel.vm
@@ -27,7 +27,7 @@ function performPanel() {
 The Token Key Service (TKS) is responsible for managing master keys that are used for establishing secure channels. Select an HTTPS Agent URL of a TKS from the list below.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
     <table class="details">
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm
index 315802393187eb8017566a69792cce779a03db1c..cfa53c628ce17f9d0c1e000983949a826615e4a1 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminauthenticatepanel.vm
@@ -34,7 +34,7 @@ If authentication is successful, a cloned subsystem will retrieve the configurat
 #end
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm
index a20001f7db02cdbb624a7cfc2c77daaa303e2e65..46d3e25a261a44285c8da7c221b025e12b1d9e8c 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/adminpanel.vm
@@ -180,7 +180,7 @@ End Function
 The administrator is a privileged user who manages this subsystem. Please enter the following relevant information, and a certificate request will be automatically generated and submitted. An administrator's entry will be created in the internal database and an administrator's certificate will be imported into this browser automatically in the next panel.
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
     <br/>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm
index 686016cc96a9535a4f47fc3c365efe3e4d2a0fae..738efe5b3026a05d0c483bb02de3ed114763b00c 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/agentauthenticatepanel.vm
@@ -30,7 +30,7 @@ function performPanel() {
 The uid and password are used to authenticate to the CA from which this subsystem's certificates are issued. Enter the uid and password of the Certificate Manager Agent who will approve the certificate requests.
 <br/>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm
index 0f32be000f5c33a993fe0623a439ccc69ba2a448..3ebb96853392869bc32ef8dcb2b89e11f28a3657 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/authdbpanel.vm
@@ -38,7 +38,7 @@ If, however, the end user's identity fails to be verified, TPS will not establis
 </div>
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>                                                                            
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm
index e2214302c054a744b879a7fe42da81384e47dd8b..8d2e5425157197a346e2b5a80e2d8a8ec9a42e86 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/cainfopanel.vm
@@ -29,7 +29,7 @@ function performPanel() {
 A Certificate Authority (CA) is responsible for issuing different kinds of certificates. Each Enterprise Security Client (ESC) interfaces with a TPS subsystem to request end user certificates. Consequently, to obtain these certificates, an HTTPS EE URL to a CA that has been registered in the security domain must also be selected.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
     <table class="details">
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
index d1f0ed55b070c7a49d53e13f699cc6995a58a389..2ceb928c20b882a0bc016108407811810354948a 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
@@ -62,7 +62,7 @@
     <form name=configForm action="config_db" method="post">
     <b>Internal Database Connection</b> <p>This option allows sharing an internal database to improve managability.<p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/createsubsystempanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/createsubsystempanel.vm
index 42de9bab220595bc644053792a3bfa193761852b..1ddd7a90c9f7e8ce2d8744c536d2aaaf2cf2633b 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/createsubsystempanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/createsubsystempanel.vm
@@ -34,7 +34,7 @@ This instance can be configured as a new $systemname subsystem.
 #end
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 <b><input $check_newsubsystem type=radio name=choice value="newsubsystem">&nbsp;Configure this Instance as a New $systemname Subsystem </b>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm
index 1020ea39c3f630f61ebade22ce3dad016639584e..ce168fd2a539241f46322286c05b74c08f8c6c23 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/databasepanel.vm
@@ -45,7 +45,7 @@ Each instance needs access to a Fedora Directory Server instance to store reques
 <i>Note: If the Fedora Directory Server is at a remote host, it is highly recommended that SSL should be used.</i>
 <br/>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>                                                                            
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchain2panel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchain2panel.vm
index f88daf3e3783080b738a738abb8c62c8c79d8717..3a13b7cd481c1d82039d6b87cac310731668ee0d 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchain2panel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchain2panel.vm
@@ -36,5 +36,5 @@ If no certificate chain is listed below, simply click the Next button to move on
 $certchain
 </pre>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchainpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchainpanel.vm
index 2e5c99b78041dbdc1d3010d036e23977dab8ac02..f7b9dee90f5c5c0455906552248db4d6d2d333ff 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchainpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/displaycertchainpanel.vm
@@ -36,5 +36,5 @@ If no certificate chain is listed below, simply click the Next button to move on
 $certchain
 </pre>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm
index bc20a4e601b50eabe21884e2adfc69ee4bca036b..2aa76ff0c8cb874330f1e5a36e2eaad44acf4133 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/donepanel.vm
@@ -29,7 +29,7 @@ function performPanel() {
 <input type="hidden" name="port" value=$port />
 <input type="hidden" name="systemType" value=$systemType />
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 #if ($systemType == "tks")
 As 'root', restart the server on the command line by typing "$initCommand restart $instanceID". After performing this restart, the server should become operational. 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm
index 832841806650e532fcb68001d447649c0b3740dd..8931bf1c989dbe37a8f260dcd916182782b3f759 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/drminfopanel.vm
@@ -26,7 +26,7 @@ function performPanel() {
 A Data Recovery Manager (DRM) is responsible for server-side key generation, archival, and recovery. If server-side key generation is not needed, this step can be skipped.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 <p>
 #end
 <b><input checked type=radio name=choice value="keygen">&nbsp;Connect this instance to the HTTPS Agent URL of a DRM to support server-side key generation.</b>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/importadmincertpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/importadmincertpanel.vm
index adece8b242378817b311d14e876da4842ff4e4d7..609b4bf4f5acc2ed50c2dccc6b36977042901872 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/importadmincertpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/importadmincertpanel.vm
@@ -28,7 +28,7 @@ function performPanel() {
 An administrator's certificate has been created and imported into this browser. This certificate is used to access the agent interface of this subsystem.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <font color="red">$info</font>
 <p>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
index 256db415917f7516843aa2402ab7e941a2892ae1..97cec6320c1c0a2a8214a1d10064ae531a3b1cfc 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
@@ -71,7 +71,7 @@ A one time random pin has been generated during setup to protect unauthorized ac
 
     <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <p>
     <form name="f" action="login" method="post">
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm
index c506180b51137af9065bc3430ea859de44bfab95..0ed2d1adb903dc76c291e2806ed7b735c881f890 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/namepanel.vm
@@ -46,7 +46,7 @@ Each unique name, called the certificate's subject name, is referenced as the di
 
     <p>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 #foreach ($item in $certs)
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
index 1f47d7fb68ebfb8b28fe4d95163da8410ecd8f60..47462d773a104019466749c099df1995165a0df5 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
@@ -60,7 +60,7 @@
     <form name=sdForm action="getCookie" method="post">
     <p>The Enterprise $subsystem Administrator will register this $subsystem Subsystem located at $host under this Security Domain located at $sdhost. The credential information will be provided to the Security Domain for authentication.<p>
 #if ($errorString != "")
-<img src="/ca/admin/console/img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
     <table class="details">
       <tr>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainpanel.vm
index f54703668070a212b7567ba3e720036a68c06b66..6f651f3885170490c03e4ccf303e7c69b2c317cb 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainpanel.vm
@@ -51,7 +51,7 @@ If this subsystem is joining an existing security domain, the user will need to
 requested in the next panel.
 </div>
 #if ($errorString != "")
-<img alt="" src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img alt="" src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <br/>
 #if ($cstype == "CA") 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm
index 72c095491980136e33844236b4606e17cd5a1480..cfcf1519021ef0ad204e48f998279bc406c08b7f 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/sizepanel.vm
@@ -201,7 +201,7 @@ displayCurveList();
 <br/>
 </div>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
 <div id="simple">
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm
index 5cc18c29d2debf5210b307ccd8ea1122d70c302b..1f6ee162f51614ccfa59333b768705e7526fe3da 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/tksinfopanel.vm
@@ -26,7 +26,7 @@ function performPanel() {
 The Token Key Service (TKS) is responsible for managing master keys that are used for establishing secure channels. Select an HTTPS Agent URL of a TKS from the list below.
 <p>
 #if ($errorString != "")
-<img src="../img/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
+<img src="/pki/images/icon_crit_update.gif">&nbsp;<font color="red">$errorString</font>
 #end
 <p>
     <table class="details">
-- 
1.7.12.1

